Package org.apache.catalina.tribes

## Interface ChannelInterceptor.InterceptorEvent

- All Known Implementing Classes:
    `NonBlockingCoordinator.CoordinationEvent`
  Enclosing interface:
    ChannelInterceptor

      public static interface ChannelInterceptor.InterceptorEvent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getEventType()` |
    `java.lang.String` | `getEventTypeDesc()` |
    `ChannelInterceptor` | `getInterceptor()` |

- - ### Method Detail

    - #### getEventType

          int getEventType()

    - #### getEventTypeDesc

          java.lang.String getEventTypeDesc()

    - #### getInterceptor

          ChannelInterceptor getInterceptor()